#!/bin/ash
#
# This script prints everything engineering might need to debug a problem.

echo version
echo =======
/usr/local/bin/version

#echo agent rd_leds
#echo =============
#/usr/local/bin/agent rd_leds

echo ifconfig
echo ========
ifconfig

#echo agent rd_info
#echo =============
#/usr/local/bin/agent rd_info
#
#echo sel info
#echo ========
#/usr/local/bin/sel info
#
#echo sel rd_all
#echo ==========
#/usr/local/bin/sel rd_all

#echo sensor
#echo ======
#/usr/local/bin/sensor

echo rlm_stats -p
echo ============
/usr/local/bin/rlm_stats -p

echo ps
echo ==
ps

echo mount
echo =====
mount

echo uptime
echo ======
uptime

echo date
echo ====
date

echo whoami
echo ======
whoami

echo free
echo ====
free

echo cat /proc/meminfo
echo =================
cat /proc/meminfo

echo cat /var/log/messages
echo =====================
cat /var/log/messages

echo cat /var/log/debug
echo ==================
cat /var/log/debug

echo cat /var/log/messages.1
echo =======================
cat /var/log/messages.1

echo cat /var/log/debug.1
echo ====================
cat /var/log/debug.1

echo cat /mnt/logs/etc/rlm_config_from_filer
echo =======================================
cat /mnt/logs/etc/rlm_config_from_filer

echo cat /mnt/logs/etc/rlm_config_to_filer
echo =====================================
cat /mnt/logs/etc/rlm_config_to_filer

echo cat /etc/network/interfaces
echo ===========================
cat /etc/network/interfaces

echo cat /mnt/logs/etc/interfaces
echo ============================
cat /mnt/logs/etc/interfaces

echo cat /mnt/logs/etc/trap_conf
echo ============================
cat /mnt/logs/etc/trap_conf

echo cat /mnt/logs/etc/takeover_conf
echo ===============================
cat /mnt/logs/etc/takeover_conf

echo cat /mnt/logs/etc/rsa_conf
echo ===============================
sed -e 's/password.*/password xxxx/g' -e 's/username.*/username xxxx/g' /mnt/logs/etc/rsa_conf

echo cat /tmp/rlm_runtime_registry
echo ===============================
cat /tmp/rlm_runtime_registry

echo cat /tmp/rsad/rsad_job_stats
echo ===============================
cat /tmp/rsad/rsad_job_stats

echo cat /etc/resolv.conf
echo ===============================
cat /etc/resolv.conf

echo route
echo =====
route
